using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using System.Data.SqlClient;

namespace TypedDS
{
	/// <summary>
	/// Summary description for TDSTest.
	/// </summary>
	public class TDSTest : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			String  connectionString = "server=localhost;Trusted_Connection=yes;database=Northwind";

			SqlConnection conn = new SqlConnection(connectionString);

			SqlDataAdapter EmployeesDA = new SqlDataAdapter("SELECT * FROM EMPLOYEES", conn);

			EmployeesTDS tdsEmployees = new  EmployeesTDS();
			EmployeesDA.Fill(tdsEmployees, "Employees");

			DataGrid1.DataSource = tdsEmployees.Employees;
			DataGrid1.DataBind();
		}


		protected void DataGrid1_OnItemDataBound(Object sender, DataGridItemEventArgs e) 
		{			
			ListItemType ObjItemType = (ListItemType) e.Item.ItemType;
			if(ObjItemType == ListItemType.Item || ObjItemType == ListItemType.AlternatingItem)
			{
				DataRowView ObjRowView = (DataRowView) e.Item.DataItem;
				EmployeesTDS.EmployeesRow CurrentRow = (EmployeesTDS.EmployeesRow) ObjRowView.Row;
			
				// To include the TitleOfCourtesy, FirstName and LastName of the Employee
				// We could do it at the time of creation of the Typed DataSet but this is
				// here only to show to use it here
				Label MyLabel = (Label) e.Item.FindControl("lblCompleteName");
				MyLabel.Text = CurrentRow.TitleOfCourtesy+ " "+ CurrentRow.FirstName + " "+ CurrentRow.LastName;
				
			}
		}


		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
